Bug 248371 - configure error: Can't find RAPI library
Summary: configure error: Can't find RAPI library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: synce-software-manager
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-16 14:53 UTC by Mykola Ulianytskyi
Modified: 2007-12-10 20:46 UTC (History)
0 users

Fixed In Version: 0.9.0-9.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-10 20:46:27 UTC


Attachments (Terms of Use)
synce-software-manager.spec.diff -- solution (727 bytes, text/x-patch)
2007-07-16 14:54 UTC, Mykola Ulianytskyi
no flags Details
synce-software-manager-0.9.0_autotools.patch -- solution (1.19 KB, patch)
2007-07-16 14:54 UTC, Mykola Ulianytskyi
no flags Details | Diff

Description Mykola Ulianytskyi 2007-07-16 14:53:14 UTC
Description of problem:
   configure error: Can't find RAPI library

Version-Release number of selected component (if applicable):
   synce-software-manager-0.9.0-7%{?dist}
   librapi-devel-0.9.3-1

Steps to Reproduce:
   rpmbuild -bb synce-software-manager.spec

...
checking for CeRapiInit in -lrapi... no
configure: error: Can't find RAPI library
error: Bad exit status from /var/tmp/rpm-tmp.16542 (%build)
...

Comment 1 Mykola Ulianytskyi 2007-07-16 14:54:18 UTC
Created attachment 159328 [details]
synce-software-manager.spec.diff -- solution

Comment 2 Mykola Ulianytskyi 2007-07-16 14:54:37 UTC
Created attachment 159329 [details]
synce-software-manager-0.9.0_autotools.patch -- solution

Comment 3 Fedora Update System 2007-12-06 20:45:14 UTC
synce-software-manager-0.9.0-9.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synce-software-manager'

Comment 4 Fedora Update System 2007-12-06 20:50:26 UTC
synce-software-manager-0.9.0-9.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synce-software-manager'

Comment 5 Fedora Update System 2007-12-10 20:46:02 UTC
synce-software-manager-0.9.0-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-12-10 20:46:25 UTC
synce-software-manager-0.9.0-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.